<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans.xsd"/>
<xsd:include schemaLocation="obj_cdr_summary_list.xsd"/>

	<xsd:element name="RESPONSE_TRANS_CDR_LIST">
        <xsd:complexType>
		    <xsd:sequence>
				<xsd:element  ref="RETURN_STATUS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
			</xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="GET">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="CDR_SUMMARY_LS" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET"/>
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>
	
</xsd:schema>